This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 799567 - [abrt] libreoffice-core-3.4.5.2-5.fc16: ariblk.ttf + FindCmap killed by signal 7 (SIGBUS)
[abrt] libreoffice-core-3.4.5.2-5.fc16: ariblk.ttf + FindCmap killed by signa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:a3e6188ed27b21345574517c27d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 23:17 EST by Jesse Bontrager
Modified: 2012-03-09 15:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-09 15:10:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (11.62 KB, text/plain)
2012-03-02 23:17 EST, Jesse Bontrager
no flags Details
File: maps (31.68 KB, text/plain)
2012-03-02 23:17 EST, Jesse Bontrager
no flags Details
File: backtrace (55.96 KB, text/plain)
2012-03-02 23:17 EST, Jesse Bontrager
no flags Details
Output of fc-list -v (548.74 KB, application/octet-stream)
2012-03-05 10:19 EST, Jesse Bontrager
no flags Details

  None (edit)
Description Jesse Bontrager 2012-03-02 23:17:14 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer file:///home/jmbontrager/Documents/Personal/draft.odt --splash-pipe=7
crash_function: GetUInt16
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.2.7-1.fc16.i686
pid:            5393
pwd:            /home/jmbontrager
reason:         Process /usr/lib/libreoffice/program/soffice.bin was killed by signal 7 (SIGBUS)
time:           Fri 02 Mar 2012 03:20:09 PM EST
uid:            1000
username:       jmbontrager

backtrace:      Text file, 57308 bytes
dso_list:       Text file, 11895 bytes
maps:           Text file, 32441 bytes

comment:
:This problem occurs whenever I try to start LibreOffice Writer or LibreOffice Calc.
:
:The programs do not start. I am unable to use them.

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=nb-jmb
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=5382
:GPG_AGENT_INFO=/tmp/keyring-EFdL6z/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-5361-nb-jmb-libreoffice-0_TIME18897435
:HISTSIZE=1000
:XDG_SESSION_COOKIE=d569e78ed2a926aa167b4ccd0000000e-1330700717.497107-1995343609
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib/libreoffice/program
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-EFdL6z
:QTINC=/usr/lib/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=jmbontrager
:SSH_AUTH_SOCK=/tmp/keyring-EFdL6z/ssh
:USERNAME=jmbontrager
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1712,unix/unix:/tmp/.ICE-unix/1712
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MAIL=/var/spool/mail/jmbontrager
:PATH=/usr/java/default/bin:/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/jmbontrager/.local/bin:/home/jmbontrager/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jmbontrager
:JAVA_HOME=/usr/java/default
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1707
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/jmbontrager
:XDG_SEAT=seat0
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=jmbontrager
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-BInxQA8qGC,guid=b7739667a8b22155a9bb41af00000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jmbontrager
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-jmbontrager-WTFoG9/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386

smolt_data:
:
:
:General
:=================================
:UUID: 87eee594-9b93-40ec-a259-08d796842994
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5586.32
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU       M 640  @ 2.80GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2800
:System Memory: 3269
:System Swap: 5311
:Vendor: Dell Inc.
:System: Latitude E6410 0001
:Form factor: Laptop
:Kernel: 3.2.7-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:4136:1034) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1034) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(4480:59442:4136:1034) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:58486:4136:1034) pci, yenta_cardbus, PCI/CARDBUS, N/A
:(4480:59426:4136:1034) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:15152:4136:1034) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:10282:4136:1034) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:15111:4136:1034) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1034) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:4136:1034) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:4136:1034) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:4136:1034) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1034) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1034) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16940:32902:4897) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:15174:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:15176:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4136:1034) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:4136:1034) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:(4318:3043:4136:1034) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2668:4136:1034) pci, nouveau, VIDEO, GT218 [NVS 3100M]
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_nbjmb-lv_root / ext4 4096 4096 13092026 10512002 10380970 3276800 3067705 3067705
:/dev/sda1 /boot ext4 1024 1024 508745 412547 386947 128016 127781 127781
:/dev/mapper/vg_nbjmb-lv_home /home ext4 4096 4096 46390425 10918249 8595817 11616256 11597227 11597227
:
Comment 1 Jesse Bontrager 2012-03-02 23:17:18 EST
Created attachment 567222 [details]
File: dso_list
Comment 2 Jesse Bontrager 2012-03-02 23:17:20 EST
Created attachment 567223 [details]
File: maps
Comment 3 Jesse Bontrager 2012-03-02 23:17:22 EST
Created attachment 567224 [details]
File: backtrace
Comment 4 Caolan McNamara 2012-03-05 09:44:31 EST
hmm, *looks* like its crashing on loading /usr/share/fonts/msttcorefonts/ariblk.ttf but the ariblk.ttf I have here doesn't crash us, so...can you 

a) give me the output of md5sum /usr/share/fonts/msttcorefonts/ariblk.ttf
b) attach the output of fc-list -v
Comment 5 Jesse Bontrager 2012-03-05 10:19:34 EST
Created attachment 567664 [details]
Output of fc-list -v
Comment 6 Jesse Bontrager 2012-03-05 10:20:21 EST
[root@nb-jmb ~]# md5sum /usr/share/fonts/msttcorefonts/ariblk.ttf 
3e7043e8125f1c8998347310f2c315bc  /usr/share/fonts/msttcorefonts/ariblk.ttf
Comment 7 Caolan McNamara 2012-03-05 15:46:51 EST
hmm, now I've got...
md5sum /usr/share/fonts/msttcorefonts/ariblk.ttf
3e7043e8125f1c8998347310f2c315bc  /usr/share/fonts/msttcorefonts/ariblk.ttf
$ rpm -q libreoffice
libreoffice-3.4.5.2-5.fc16.i686
but no crash, valgrind is happy too.

If you remove msttcorefonts, does the problem go away, or just more on to another font ?
Comment 8 Jesse Bontrager 2012-03-06 12:46:41 EST
Removed /usr/share/fonts/msttcorefonts/ariblk.ttf.

Libre Writer and Calc both start without any issues. Must have been just that one font... don't know precisely why, but with it gone, I'm able to use libre without an issue.

Thanks.
Comment 9 Caolan McNamara 2012-03-06 14:46:32 EST
very odd, I have one with exactly the same md5sum, though without any problems. I wonder if the problem returns if you re-install that .ttf.
Comment 10 Caolan McNamara 2012-03-09 15:10:59 EST
I'm sure there's a bug in here, but I can't reproduce it with the same .ttf :-(

Note You need to log in before you can comment on or make changes to this bug.